package main

import (
    "log"
    "os"
    "strings"
)

var ALIASES map[string]string

func generateAliases() {
    f, err := os.ReadFile("aliases.txt")
    if err != nil {
        log.Fatal(err)
    }

    ALIASES = make(map[string]string)
    for l := range strings.SplitSeq(string(f), "\n") {
        sp := strings.Fields(l)

        if len(sp) == 2 {
            ALIASES[sp[0]] = sp[1]
        }
    }
}
